<?php
/**
 * Archive template
 *
 * @package minisense
 * @since minisense-v.0.1
 *
*/

if ( ! defined("ABSPATH") ) 
	exit();

	get_header(); ?>
		<section class="posts-section" id="site-posts">
			<div class="row">
			<?php if ( have_posts() ) : ?>
			<?php the_archive_title( '<h1 class="archive-title">', '</h1>' ); ?>
			<?php the_archive_description( '<div class="archive-description">', '</div>' ); ?>
			<?php while ( have_posts() ) : ?>
			<?php the_post(); ?>
			<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
				<div class="thumbnail-area">
					<?php if ( ms_get_thumbnail( 'mini-thumbnail' ) ) : ?>
					<a href="<?php the_permalink(); ?>">
					<?php ms_print_thumbnail('mini-thumbnail'); ?>
					</a>
					<?php endif; ?>
				</div>
				<header class="post-header">
					<h1 class="post-title">
						<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
					</h1>
					<small><?php ms_post_info(); ?></small>
				</header>
				<div class="post-excerpt post-content">
					<?php the_excerpt(); ?>
					<?php edit_post_link( 'Edit this post', '<span class="post-edit">', '</span>' ); ?>
					<hr>
				</div>
				<?php if ( get_the_tags() ) : ?>
				<footer class="post-tags">
					<span>Tags: </span>
					<?php ms_post_tags(); ?>
				</footer>
				<?php endif; ?>
			</article>
			<?php endwhile; ?>
			<?php else: ?>
			<p class="alert alert-warning"><?php print( 'No posts were found' ); ?></p>
			<?php endif; ?>
			</div>
			<?php if ( get_next_posts_link() || get_previous_posts_link() ) : ?>
			<div class="pagination">
			<?php 
				echo paginate_links( array(
					'format'             => 'page/%#%',
				) ); ?>
			</div>
			<?php endif; ?>
	</section>
	<?php get_sidebar(); ?>
	<?php get_footer(); ?>