<!doctype html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php echo get_option('charset'); ?>">
	<meta name="viewport" value="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php echo get_option('pingback_url'); ?>">

	<!--[if lt IE 9]>
	<script src="<?php echo get_stylesheet_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="container">
	<?php if ( has_nav_menu('top-menu') ) : ?>
	<div class="row">
	<div class="topmenu" id="navigation-top-menu">
		<?php wp_nav_menu( array( 'theme_location' => 'top-menu' ) ); ?>
	</div>
	</div>
	<?php endif; ?>
	<header id="main-header" class="site-header main-header ms-header" role="banner">
		<h1 class="site-title">
			<?php $logo_image = get_theme_mod( 'ms_logo_image', '' ); ?>
			<?php if ( ! empty( $logo_image ) ) : ?>
			<?php $logo_width = get_theme_mod( 'ms_logo_width', '' ); ?>
			<?php $logo_height = get_theme_mod( 'ms_logo_height', '' ); ?>
			<?php if ( ! empty( $logo_width ) ) $width_attr = ' width="' . $logo_width . '"';
				  if ( ! empty( $logo_height ) ) $height_attr = ' height="' . $logo_height . '"'; ?>
			<a href="<?php echo home_url('/'); ?>" rel="home"><img src="<?php echo esc_url( $logo_image ); ?>"
			<?php if ( isset( $width_attr ) ) echo $width_attr;
			if ( isset( $height_attr ) ) echo $height_attr; ?>></a>
			<?php else: ?>
			<a href="<?php echo home_url('/'); ?>" rel="home"><?php echo get_option('blogname'); ?></a>
			<?php endif; ?>
		</h1>
		<?php global $data; ?>
		<?php $header_ads = isset( $data['header_adscode'] ) && ! empty( $data['header_adscode'] ) ? $data['header_adscode'] : null; ?>
		<?php if ( $header_ads ) : ?>
		<div class="ads">
			<?php echo $header_ads; ?>
		</div>
		<?php endif; ?>
	</header>
	<?php if ( has_nav_menu('navigation') ) : ?>
	<div class="row">
	<div class="navigation" id="navigation-main">
		<?php wp_nav_menu( array( 'theme_location' => 'navigation' ) ); ?>
	</div>
	</div>
	<?php endif; ?>
	<div class="site-body" id="main">
	<div class="row">