<?php
/**
 * Minisense customizer
 *
 * @package ms-theme
 * @version 1.0
 *
*/

function ms_theme_design_customizer( $customizer ) {

	$customizer->add_section( "minisense_background_image", array(
			'title'				=>	'Background images',
			'priority'			=>	50
	) );

	$customizer->add_setting( "ms_background_image", array(
			'default'			=>	'',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Image_Control( $customizer, "ms_background_image", array(
			'label'				=>	'Site Background',
			'section'			=>	'minisense_background_image'
	) ) );

	$customizer->add_section( "minisense_background_colors", array(
			'title'				=>	'Background Colors',
			'priority'			=>	60
	) );

	$customizer->add_setting( 'ms_background_color', array(
			'default'			=>	'#2cbcea',
			'sanitize_callback' =>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_background_color', array(
			'label'				=>	'Body',
			'section'			=>	'minisense_background_colors'
	) ) );

	$customizer->add_setting( 'ms_navigation_background_color', array(
			'default'			=>	'#49ad49',
			'sanitize_callback'	=>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_navigation_background_color', array(
			'label'				=>	'Navigation',
			'section'			=>	'minisense_background_colors'
	) ) );

	$customizer->add_setting( 'ms_topmenu_background_color', array(
			'default'			=>	'#353535',
			'sanitize_callback'	=>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_topmenu_background_color', array(
			'label'				=>	'Top Menu',
			'section'			=>	'minisense_background_colors'
	) ) );

	$customizer->add_section( "minisense_font_colors", array(
			'title'				=>	'Fonts Colors',
			'priority'			=>	70
	) );

	$customizer->add_setting( 'ms_font_color', array(
			'default'			=>	'#848484',
			'sanitize_callback' =>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_font_color', array(
			'label'				=>	'Body',
			'section'			=>	'minisense_font_colors'
	) ) );

	$customizer->add_setting( 'ms_link_color', array(
			'default'			=>	'#428bca',
			'sanitize_callback'	=>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_link_color', array(
			'label'				=>	'Link text',
			'section'			=>	'minisense_font_colors'
	) ) );

	$customizer->add_setting( 'ms_link_color_hover', array(
			'default'			=>	'#2cbcea',
			'sanitize_callback'	=>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_link_color_hover', array(
			'label'				=>	'Hovered link text',
			'section'			=>	'minisense_font_colors'
	) ) );

	$customizer->add_setting( 'ms_navigation_font_color', array(
			'default'			=>	'#ffffff',
			'sanitize_callback' =>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_navigation_font_color', array(
			'label'				=>	'Navigation text',
			'section'			=>	'minisense_font_colors'
	) ) );

	$customizer->add_setting( 'ms_navigation_font_color_hover', array(
			'default'			=>	'#ffffff',
			'sanitize_callback' =>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_navigation_font_color_hover', array(
			'label'				=>	'Hovered navigation text',
			'section'			=>	'minisense_font_colors'
	) ) );

	$customizer->add_setting( 'ms_topmenu_font_color', array(
			'default'			=>	'#ffffff',
			'sanitize_callback' =>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_topmenu_font_color', array(
			'label'				=>	'Topmenu text',
			'section'			=>	'minisense_font_colors'
	) ) );

	$customizer->add_setting( 'ms_topmenu_font_color_hover', array(
			'default'			=>	'#ffffff',
			'sanitize_callback' =>	'sanitize_hex_color',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Color_Control( $customizer, 'ms_topmenu_font_color_hover', array(
			'label'				=>	'Hovered top menu text',
			'section'			=>	'minisense_font_colors'
	) ) );

	$customizer->add_section( "minisense_header", array(
			'title'				=>	'Minisense Header',
			'priority'			=>	60
	) );

	$customizer->add_setting( "ms_logo_image", array(
			'default'			=>	'',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( new WP_Customize_Image_Control( $customizer, 'ms_logo_image', array(
			'label'				=>	'Upload a Logo',
			'section'			=>	'minisense_header'
	) ) );

	$customizer->add_setting( "ms_logo_width", array(
			'default'			=>	'200',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( 'ms_logo_width', array(
			'label'				=>	'Logo width',
			'type'				=>	'text',
			'settings'			=>	'ms_logo_width',
			'section'			=>	'minisense_header'
	) );

	$customizer->add_setting( "ms_logo_height", array(
			'default'			=>	'200',
			'type'				=>	'theme_mod'
	) );

	$customizer->add_control( 'ms_logo_height', array(
			'label'				=>	'Logo height',
			'type'				=>	'text',
			'section'			=>	'minisense_header',
			'settings'			=>	'ms_logo_height'
	) );

}

add_action( "customize_register", "ms_theme_design_customizer" );

/*
function ms_customize_preview_init() {
	wp_enqueue_script( 'minisense-preview', get_stylesheet_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '', true );
}

add_action( "customize_preview_init", "ms_customize_preview_init" ); */